ApiSchedule (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiSchedule

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiSchedule

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiSchedule
      extends Object

  Base class for commands that can be scheduled in Cloudera Manager. <p/> Note that schedule IDs are not preserved upon import. <p/>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiSchedule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiSchedule` | `alertOnAbort(Boolean alertOnAbort)`
    `ApiSchedule` | `alertOnFail(Boolean alertOnFail)`
    `ApiSchedule` | `alertOnStart(Boolean alertOnStart)`
    `ApiSchedule` | `alertOnSuccess(Boolean alertOnSuccess)`
    `ApiSchedule` | `description(String description)`
    `ApiSchedule` | `displayName(String displayName)`
    `ApiSchedule` | `endTime(String endTime)`
    `boolean` | `equals(Object o)`
    `Boolean` | `getAlertOnAbort()` Whether to alert on abort of the scheduled activity.
    `Boolean` | `getAlertOnFail()` Whether to alert on failure of the scheduled activity.
    `Boolean` | `getAlertOnStart()` Whether to alert on start of the scheduled activity.
    `Boolean` | `getAlertOnSuccess()` Whether to alert on successful completion of the scheduled activity.
    `String` | `getDescription()` The schedule description.
    `String` | `getDisplayName()` The schedule display name.
    `String` | `getEndTime()` The time after which the scheduled activity will no longer be triggered.
    `BigDecimal` | `getId()` The schedule id.
    `BigDecimal` | `getInterval()` The duration between consecutive triggers of a scheduled activity.
    `ApiScheduleInterval` | `getIntervalUnit()` The unit for the repeat interval.
    `String` | `getNextRun()` Readonly.
    `Boolean` | `getPaused()` The paused state for the schedule.
    `String` | `getStartTime()` The time at which the scheduled activity is triggered for the first time.
    `int` | `hashCode()`
    `ApiSchedule` | `id(BigDecimal id)`
    `ApiSchedule` | `interval(BigDecimal interval)`
    `ApiSchedule` | `intervalUnit(ApiScheduleInterval intervalUnit)`
    `ApiSchedule` | `nextRun(String nextRun)`
    `ApiSchedule` | `paused(Boolean paused)`
    `void` | `setAlertOnAbort(Boolean alertOnAbort)`
    `void` | `setAlertOnFail(Boolean alertOnFail)`
    `void` | `setAlertOnStart(Boolean alertOnStart)`
    `void` | `setAlertOnSuccess(Boolean alertOnSuccess)`
    `void` | `setDescription(String description)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setEndTime(String endTime)`
    `void` | `setId(BigDecimal id)`
    `void` | `setInterval(BigDecimal interval)`
    `void` | `setIntervalUnit(ApiScheduleInterval intervalUnit)`
    `void` | `setNextRun(String nextRun)`
    `void` | `setPaused(Boolean paused)`
    `void` | `setStartTime(String startTime)`
    `ApiSchedule` | `startTime(String startTime)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiSchedule

          public ApiSchedule()

  - ### Method Detail

    - #### id

          public ApiSchedule id(BigDecimal id)

    - #### getId

          public BigDecimal getId()

      The schedule id.
      Returns:
        id

    - #### setId

          public void setId(BigDecimal id)

    - #### displayName

          public ApiSchedule displayName(String displayName)

    - #### getDisplayName

          public String getDisplayName()

      The schedule display name.
      Returns:
        displayName

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### description

          public ApiSchedule description(String description)

    - #### getDescription

          public String getDescription()

      The schedule description.
      Returns:
        description

    - #### setDescription

          public void setDescription(String description)

    - #### startTime

          public ApiSchedule startTime(String startTime)

    - #### getStartTime

          public String getStartTime()

      The time at which the scheduled activity is triggered for the first time.
      Returns:
        startTime

    - #### setStartTime

          public void setStartTime(String startTime)

    - #### endTime

          public ApiSchedule endTime(String endTime)

    - #### getEndTime

          public String getEndTime()

      The time after which the scheduled activity will no longer be triggered.
      Returns:
        endTime

    - #### setEndTime

          public void setEndTime(String endTime)

    - #### interval

          public ApiSchedule interval(BigDecimal interval)

    - #### getInterval

          public BigDecimal getInterval()

      The duration between consecutive triggers of a scheduled activity. Defaults to 0.
      Returns:
        interval

    - #### setInterval

          public void setInterval(BigDecimal interval)

    - #### intervalUnit

          public ApiSchedule intervalUnit(ApiScheduleInterval intervalUnit)

    - #### getIntervalUnit

          public ApiScheduleInterval getIntervalUnit()

      The unit for the repeat interval.
      Returns:
        intervalUnit

    - #### setIntervalUnit

          public void setIntervalUnit(ApiScheduleInterval intervalUnit)

    - #### nextRun

          public ApiSchedule nextRun(String nextRun)

    - #### getNextRun

          public String getNextRun()

      Readonly. The time the scheduled command will run next.
      Returns:
        nextRun

    - #### setNextRun

          public void setNextRun(String nextRun)

    - #### paused

          public ApiSchedule paused(Boolean paused)

    - #### getPaused

          public Boolean getPaused()

      The paused state for the schedule. The scheduled activity will not be triggered as long as the scheduled is paused. Defaults to false.
      Returns:
        paused

    - #### setPaused

          public void setPaused(Boolean paused)

    - #### alertOnStart

          public ApiSchedule alertOnStart(Boolean alertOnStart)

    - #### getAlertOnStart

          public Boolean getAlertOnStart()

      Whether to alert on start of the scheduled activity. Defaults to false.
      Returns:
        alertOnStart

    - #### setAlertOnStart

          public void setAlertOnStart(Boolean alertOnStart)

    - #### alertOnSuccess

          public ApiSchedule alertOnSuccess(Boolean alertOnSuccess)

    - #### getAlertOnSuccess

          public Boolean getAlertOnSuccess()

      Whether to alert on successful completion of the scheduled activity. Defaults to false.
      Returns:
        alertOnSuccess

    - #### setAlertOnSuccess

          public void setAlertOnSuccess(Boolean alertOnSuccess)

    - #### alertOnFail

          public ApiSchedule alertOnFail(Boolean alertOnFail)

    - #### getAlertOnFail

          public Boolean getAlertOnFail()

      Whether to alert on failure of the scheduled activity. Defaults to false.
      Returns:
        alertOnFail

    - #### setAlertOnFail

          public void setAlertOnFail(Boolean alertOnFail)

    - #### alertOnAbort

          public ApiSchedule alertOnAbort(Boolean alertOnAbort)

    - #### getAlertOnAbort

          public Boolean getAlertOnAbort()

      Whether to alert on abort of the scheduled activity. Defaults to false.
      Returns:
        alertOnAbort

    - #### setAlertOnAbort

          public void setAlertOnAbort(Boolean alertOnAbort)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.